/* installskript fr den WaveEditor von Warp3 unter Warp4 */

Call rxfuncadd 'SysCreateObject', 'RexxUtil', 'SysCreateObject'
Call rxfuncadd 'SysFileTree', 'RexxUtil', 'SysFileTree'

curdir = directory()

say
say "W3SOUND - Installieren des Warp3-Soundeditors (der im Gegensatz zu dem"
say "von Warp 4 einwandfrei arbeitet und nicht stndig abstrzt)"
say "Batchdatei erstellt von Gerold Mauch (2:246/8016@fidonet)"
say "Installskript von Ilja Kaufmann (kiwi@perelin.de)"

do forever
  say
  say "Bitte CD-Laufwerk angeben (z. B. g:)"
  parse pull cdpfad .
  if lastpos('\',cdpfad)<>length(cdpfad) then cdpfad=insert(cdpfad,"\",0)
  say
  say "Bitte Warp3 CD in Laufwerk" cdpfad "einlegen ;-)"
  say
  say "Bitte Zielpfad fr WEPM3 eingeben (z. B. e:\sound\wepm3)"
  say "Auf dem Laufwerk werden temporr ca. 12MB Platz bentigt"
  say "Dauerhaft bentigt der WEPM3 ca. 500kB."
  say "nicht vorhandene Verzeichnisse werden automatisch erstellt"
  parse pull wepmpfad .
  if lastpos('\',wepmpfad)<>length(wepmpfad) then wepmpfad=insert(wepmpfad,"\",0)
  say
  say "Installationsverzeichnis: " wepmpfad
  say
  say "Angaben korrekt und Installation beginnen?"
  say " j - Installation beginnen"
  say " n - neue Eingabe der Pfade"
  say " a - Abbruch"
  pull ok .
  if substr(ok, 1, 1)="Y" | substr(ok, 1, 1)="J" then do
    call SysFileTree insert(cdpfad,"os2image\",0), 'gefunden', 'D'
    if gefunden.0=0 then do
      say "angegebenes CD-Laufwerk" cdpfad "existiert nicht"
      say "oder falsche CD eingelegt"
      ok="N"
    end
    slashpos=pos('\',wepmpfad)
    testpfad=substr(wepmpfad,1,slashpos)
    call SysFileTree testpfad, 'gefunden', 'D'
    if gefunden.0=0 then do
      say "angegebenes Installationslaufwerk" testpfad "existiert nicht"
      ok="N"
    end
  end
  if substr(ok, 1, 1)<>"N" then leave
end

if substr(ok, 1, 1)="Y" | substr(ok, 1, 1)="J" then do

  do while slashpos<length(wepmpfad)
    slashpos=pos('\',wepmpfad,slashpos+1)
    testpfad=substr(wepmpfad,1,slashpos-1)
    call SysFileTree testpfad, 'gefunden', 'D'
    if gefunden.0=0 then do
      mkdir testpfad
      say "Verzeichnis" testpfad "erstellt"
    end
  end
  say "Entpacke Diskimages"
  call auspacken
  say "WEPM3 erfolgreich installiert"
  progr=insert(wepmpfad,"WEPM.EXE",0)
  result=SysCreateObject("WPProgram", "WEPM3", "<WP_DESKTOP>","EXENAME="progr";ICONFILE="curdir"\wepm3.ICO", "replace")
  if result=1 then do
    say "Programmobjekt erfolgreich auf der Arbeitsoberflche erstellt"
  end

end

exit

auspacken:

tmpd=insert(wepmpfad,"w3tmp",0)
tmpe=insert(tmpd,"\*.*",0)
tmpc=insert(tmpd,"\wepm*.*",0)
teila=insert("%%a in (",cdpfad,0)
teila=insert(teila,"os2image\disk_")
teilb=insert("\pack*) do unpack %%a ",tmpd)
mkdir tmpd
do i=7 to 15
  doit=insert(teila,i,0)
  doit=insert(doit,teilb,0)
  for doit
end
copy tmpc wepmpfad
del insert(tmpe," /N",0)
rmdir tmpd

return



